#
# spec file for package python-ndg-httpsclient
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-ndg-httpsclient
Version:        0.4.0
Release:        2.5
License:        BSD-2-Clause
Summary:        Provides enhanced HTTPS support for httplib and urllib2 using PyOpenSSL
Url:            https://github.com/cedadev/ndg_httpsclient/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/n/ndg-httpsclient/ndg_httpsclient-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This is a HTTPS client implementation for httplib and urllib2 based on
PyOpenSSL.  PyOpenSSL provides a more fully featured SSL implementation over the
default provided with Python and importantly enables full verification of the
SSL peer.


Prerequisites
=============
This has been developed and tested for Python 2.6 and 2.7 with pyOpenSSL 0.13 and 0.14.
Version 0.4.0 tested with pyOpenSSL 0.15.1 and Python 2.7 and 3.4.  Note that proxy support
is only available from Python 2.6.2 onwards.  pyasn1 is required for correct SSL
verification with subjectAltNames.

%prep
%setup -q -n ndg_httpsclient-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_bindir}/ndg_httpclient

%changelog
* Fri Jun 12 2015 t.gruner@katodev.de
- Initial Version 0.4.0
  * Made dual compatible with Python 2 / 3.
  0.3.3
-----
  * Fix to add in AnotherName for ``subjectAltNames`` field - added for support for CACert issued
  certs (thanks to Gu1).
  * Fix to HTTP Basic Auth option for ``ndg.httpsclient.utils.main``
  * Fix to ``ServerSSLCertVerification`` so that it can pass a function-based callback instead of using ``__call__``. In newer versions of OpenSSL (>= 0.14) the latter failed because of a request for ``__name__`` attribute.
  0.3.2
-----
  * Fix to SubjectAltNames support check - should only be enabled if pyasn1 is
  installed.
  * Fix to open_url: HTTP Request object was being created inside if headers is
  None block - now corrected to create regardless.
  * Added http basic auth support to script. (Thanks to Willem van Engen)
  0.3.1
-----
  * extended utils functions to support keyword for passing additional urllib2
  handlers.
  0.3.0
-----
  * Added ndg.httpsclient.utils.fetch_stream_from_url function and added
  parameter for data to post in open_url and fetch_* methods.
  * fix to ndg.httpsclient.utils module _should_use_proxy and open_url functions
  0.2.0
-----
  * added support for SSL verification with subjectAltNames using pyasn1
  * fixed minor bug - SSL cert DN prefix matching
  0.1.0
-----
  Initial release
